## comgt 0.32

=== Makefile ===
#
#   Makefile - build and install the comgt package
#   Copyright (C) 2005  Martin Gregorie
#   Copyright (C) 2006  Paul Hardwick
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    martin@gregorie.org, paul@peck.org.uk
#
#    $Id: Makefile,v 1.4 2006/10/20 14:30:19 pharscape Exp $
#
#

LIB     = -L/usr/local/lib
INC     = -I/usr/local/include
EXE	= /usr/local/bin
MAN     = /usr/share/man/man1
CPROG	= comgt
SCRIPTPATH = /etc/comgt/
SCRIPTSRC = ./scripts/
BIN     = $(CPROG) 
MANP	= comgt.1 sigmon.1

CFLAGS  = -c
LDFLAGS =

all: $(BIN)

install:
	chmod a-w $(BIN)
	chmod u+rw $(BIN)
	chmod a+x $(BIN)
	cp $(BIN) $(EXE)
	chmod a-wx $(MANP)
	chmod u+rw $(MANP)
	chmod a+r $(MANP)
	cp $(MANP) $(MAN)
	-mkdir $(SCRIPTPATH)
	chmod a-w $(SCRIPTPATH)
	chmod u+rw $(SCRIPTPATH)
	chmod a+x $(SCRIPTPATH)
	cp -f $(SCRIPTSRC)* $(SCRIPTPATH)
	chmod a-w $(SCRIPTPATH)*
	chmod u+rw $(SCRIPTPATH)*
	chmod a+x $(SCRIPTPATH)*




uninstall:
	cd $(EXE); rm $(BIN)
	cd $(MAN); rm $(MANP)
	-rm -r $(SCRIPTPATH)

clean:
	-rm *.o 
	-rm $(CPROG) 
	-rm *~
	-rm $(SCRIPTSRC)*~


comgt: comgt.o
	cc comgt.o $(LDFLAGS) -o comgt

comgt.o: comgt.c comgt.h
	cc comgt.c $(CFLAGS)

=== debian/changelog ===
comgt (0.32-6) unstable; urgency=medium

  * QA upload.

  * Added command-strop-newline.patch to fix typo in scripts/command
    (Closes: #722303).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 May 2024 09:39:46 +0200

comgt (0.32-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Added hardeing.patch to enable hardened build (Closes: #940054).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Apr 2024 23:53:28 +0200

comgt (0.32-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #983867)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 14:08:34 -0300

comgt (0.32-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Jul 2022 17:30:39 +0200

comgt (0.32-3) unstable; urgency=medium

  * Changed control file to only build package comgt and not gcom any
    longer (and removed file gcom.links).
  * Changed Conflicts and Replaces fields to not include any version
    numbers (Closes: #792852).
  * Rewrote debian/rules to use the newer simpler format (Closes: #821974)
  * Switched to source format 3.0 (quilt) and created one single patch
    for the Debian changes.
  * Bumped standards version to 3.9.8 and debhelper compat to 9.
  * Changed maintainer's email address.

 -- Andreas "Jimmy" Gredler <jimmy@grml.org>  Fri, 09 Dec 2016 18:19:50 -0800

comgt (0.32-2) unstable; urgency=low

  * Updated Conflicts and Replaces fields which were referring to the
    wrong version (Closes: #545528).
  * Bumped Standards-Version to 3.8.3.
  * Fixed "hyphen-used-as-minus-sign" messages from lintian in manpage.
  * Fixed copyright file.

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Tue, 08 Sep 2009 15:37:12 +0200

comgt (0.32-1) unstable; urgency=low

  * New upstream release.
  * Ackowledge NMU (Closes: #464979, #449925).
  * Installed sigmon script in binary path and added shebang line (as it
    always has been in former upstream releases).
  * For trademark reasons the program name has been changed from gcom to
    comgt.
  * A couple of new scripts are installed in /etc/comgt/scripts.
  * Switched to debhelper7.
  * Bumped Standards-Version to 3.8.1.
  * Added field for homepage in debian/control.
  * Updated debian/watch to point to the right location.

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Tue, 04 Aug 2009 16:22:33 +0200

gcom (0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism. Closes: #464979
  * Point watch file to new upstream location. Closes: #449925

 -- Raphael Geissert <geissert@debian.org>  Sun, 05 Jul 2009 20:40:59 -0500

gcom (0.3-1) unstable; urgency=low

  * Initial release Closes: #353802

 -- Andreas "Jimmy" Gredler <jimmy@g-tec.co.at>  Mon, 20 Feb 2006 21:07:36 +0100

=== debian/control ===
Source: comgt
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://www.pharscape.org/
Vcs-Browser: https://salsa.debian.org/debian/comgt
Vcs-Git: https://salsa.debian.org/debian/comgt.git

Package: comgt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: gcom,
Replaces: gcom,
Description: Option GlobeTrotter and Vodafone datacard control tool
 Comgt is a scripting language interpreter useful for establishing
 communications on serial lines and through PCMCIA modems as well as
 GPRS and 3G datacards. Works with Option GlobeTrotter
 GPRS/EDGE/3G/HSDPA and Vodafone 3G/GPRS datacards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
